__kernel void ApplyForces(__global float4 *forces, __global float4 *velocities, float4 gravity, float drag)
{
	uint index = get_global_id(0);

	forces[index] = (float4)(0.0,0.0,0.0,0.0);
	forces[index] += gravity;
	forces[index] -= drag*velocities[index];
}